Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
TartanFox Posted on 12/06/2017 12:09
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message
 
Asking for a friend.
IP: Logged
mac_ Posted on 12/06/2017 12:15
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Seems to be for the Tory vote on here. Who seem still fanatical about slagging off Mr Corbyn

No shame.
IP: Logged
Drew-Peacock Posted on 12/06/2017 12:30
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Who said that then?
IP: Logged
richardvanles Posted on 12/06/2017 12:46
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Yes, totally acceptable because they're 'our terrorists' actually had someone on Facebook saying that they killed less innocence than the IRA / Sinn Fein so they are not as bad.
Wonder if the Corbyn is a terrorist sympathiser crown on here would care to comment?
IP: Logged
Drew-Peacock Posted on 12/06/2017 13:12
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Didn't Jezza have a natter with them whilst they were still blowing people to bits?

Should we refuse dialogue with all reformed terrorist groups?
IP: Logged
mac_ Posted on 12/06/2017 13:14
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Oh dear Drew, you've lost it.
IP: Logged
eggs66 Posted on 12/06/2017 13:45
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
To be fair, the DUP haven't even said yes yet and it looks likely the Queen's Speech will be delayed whilst they let May and her Cabinet beg them for support.

I guess even a motley crew like the DUP find the idea of jumping into bed with May, Gove and Hunt as distasteful as the rest of us would...
IP: Logged
Unicum Posted on 12/06/2017 14:52
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Eggs. :)

It seems it is perfectly fine when it's the establishment that says it is perfectly fine. I like the order of this as it makes life easier.
IP: Logged
hackneyfox Posted on 12/06/2017 15:30
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Hey Drew, have you ever seen this?

Link: link
IP: Logged
hackneyfox Posted on 12/06/2017 15:32
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Or this

Link: link
IP: Logged
Drew-Peacock Posted on 12/06/2017 15:49
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Are they standing for re-election then?
IP: Logged
hackneyfox Posted on 12/06/2017 16:24
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
So it's ok for Thatcher and Major to go behind the voters backs and have talks with the IRA but not ok for Corbyn to admit to talking to them?

You're trolling or just blinkered.
IP: Logged
LeicesterRino Posted on 12/06/2017 18:49
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Who said it was OK? The point is Mr Corbyn wants to be PM so his opinions are important. What previous governments did is gone and can't be changed.

The situation with the DUP is not good but at some stage we have to move on, as they have done in NI
IP: Logged
Unicum Posted on 12/06/2017 19:01
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
I agree Rino. We have to move on, hence it was bs to focus just on Corbyn without putting it into context: they all talked to the IRA. Like discussions took place with the Taliban, like discussions will take place tomorrow with some other group and like there's nothing wrong with discussing a way ahead anyway.

There seems to be a theme with some people on the roof: well it happened in the past, forget about it, they will never do it again.
IP: Logged
Oadlad Posted on 12/06/2017 19:13
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Two points -as the armed wing of the DUP, the UDA, are, I believe, currently fighting an internal war with two dead so far in this round, if they have disarmed under the GF agreement, where are their guns coming from?
And as we know they will exact a price for their cooperation (fair enough) and it will be heavy as the Tories need them more they they need the Tories, will those terms be paid for by the taxpayer here, or the Tory party?
IP: Logged
LeicesterRino Posted on 12/06/2017 19:22
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
The original post asked the question are unionist terrorists more acceptable than others. In the context of the present political situation it infers that the Conservative government are doing something wrong. This government are not negotiating with terrorists. Mr Corbyn has had meetings with the IRA in the past, as far as I know his meetings weren't sanctioned by the government of the day or the security services, inevitably people want to know more because Mr Corbyn is putting himself forward as a future leader of this country.
The press rightly reported the meetings of Baroness Thatcher and Sir John Major with the IRA. But in the case of Baroness Thatcher she left office 27 years ago we can't change the past their actions all those years ago are not relevant to the here and now. That is not to say they were correct or better or worse than the actions of Mr Corbyn, just not current.
IP: Logged
Unicum Posted on 12/06/2017 19:23
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Okay Oadlad, that second question... :)

Erm....I think you know the answer, don't you?
IP: Logged
Unicum Posted on 12/06/2017 19:25
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Ah, okay Rino. I suppose we'll just have to look at it slightly differently.
IP: Logged
LeicesterRino Posted on 12/06/2017 19:30
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Oadlad, I doubt either side are playing by the rules in NI.
The people of NI that voted for the DUP expect them to do their best for the Provence and getting more funding is doing just that.

All a bit unsavoury but inevitable
IP: Logged
Foxtrotter Posted on 12/06/2017 21:08
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Any daft twct that thinks Corbyn talking to terrorists is worse than these clowns getting into bed with terrorists is....... a daft twct.

At least he helped bring peace to N Ireland whereas these w@nkers are going to start another war.
IP: Logged
LeicesterRino Posted on 12/06/2017 21:16
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Well that explains everything perfectly
IP: Logged
richardvanles Posted on 12/06/2017 23:56
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Let me try and help you understand. That's if you want to understand. You may want to stay ignorant and keep muttering Right wing good, Left wing bad.
Jeremy Corbyn met with the IRA quite openly. He denounced the IRA as he has denounced all terrorists. (Google him saying it in the 80's and 90's.) The press saw it as an opportunity to make a big thing of it just so the already dumbed down citizens of the U.K. Would lap it up and repeat repeat repeat until it became true.
What Corbyn said at the time was that you have to talk with terrorists, engage with them, show them that by listening to them there is another way for their voices to be heard. How fantastic is that! It worked. Took a long time to get there but it worked and I'm sure many lives have been saved.
Now watch the clip below, here we have the right honourable M.P for Derry East. Filmed some years ago by the BBC. He's not long gone, he hasn't, as far as I am aware moved on. He's one of those who May and Co will be doing deals with.
Again, as far as I am aware, he hasn't renounced what he said, (listen to what he says at the end, ) and if he hasn't renounce it then what he said is very very very relevant to today and tomorrow.
As someone posted on here yesterday, forgive me I can't remember who, because the left footers don't put something on the end of it, at some point in the future they will become the majority and in a democratic society that means there's only one way N.I will go.
To put balance on it, I've heard Brown and co tried to get their support a few years ago, also wrong and they should be ashamed.


Link: The Right Honourable Member for Derry East.
IP: Logged
GTIF Posted on 13/06/2017 00:15
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Mad as buck the lot of them

Link: Bomb the south
IP: Logged
LeicesterRino Posted on 13/06/2017 06:51
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
So it's not OK to criticise Mr Corbyns past but it is OK to bring up the DUP's past?

We have to let the past rest, it is inevitable that Mr Corbyn's past decisions will be questioned because he wants to be Prime Minister.

I assume that the press didn't know about previous PM's meetings with the IRA until well after the event
IP: Logged
Drew-Peacock Posted on 13/06/2017 07:56
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
At the very lease a meeting between an illegal organisation an an unknown back bench MP must raise doubts over his decision making.


Link:
IP: Logged
LuckyBag Posted on 13/06/2017 08:04
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
It is OK to criticise anything and anyone.
It is OK to bring up anything.
We don't have to let the past rest.
Who knew what and when is relevant, but so is recognising that
Reporting tends to be selective.

Reporting is selective in order to persuade and manipulate.



IP: Logged
LuckyBag Posted on 13/06/2017 09:38
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
'At the very lease a meeting between an illegal organisation an an unknown back bench MP must raise doubts over his decision making.'

Yes. Or it could show a man of independent thought who wants to make progress in a very difficult and dangerous area. A serious man who goes with what he thinks is right, rather than keeping his head down and collecting his salary.
IP: Logged
Drew-Peacock Posted on 13/06/2017 09:44
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
But doesn't minding breaking the law to achieve it

all reporting is selective, not just the right wing media
IP: Logged
richardvanles Posted on 13/06/2017 09:52
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Oh wel, let the record show I tried...
IP: Logged
LuckyBag Posted on 13/06/2017 10:18
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Ah....that law thing.

So when those that govern are in contact, that is not illegal.
Or is it illegal, but we just didn't know it?
And if it is illegal, who made it so?
Would that be those who govern?
Good.
When those that are mere members of parliament are in contact, that is illegal.
No matter if they are seeking to find peace.
Good.

This legality thing appears a bit fluid as does the idea of what is right and wrong.
IP: Logged
Drew-Peacock Posted on 13/06/2017 11:31
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
If the meetings are sanctioned by government or security forces then I would assume them to be legal and maybe secret.

If they are not sanctioned then they are at worst illegal and at best a bit silly.

Dicky your attempts at education are appreciated if a little myopic
IP: Logged
Oadlad Posted on 13/06/2017 11:37
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Yes, unicom, I know that a large dollop of tax money will find it's way to NI to assist the Tory party. I have no problem with NI getting their share of revenue, after all they are taxpayers but this move seems wrong.
They will just have to turn to the magic money tree...
IP: Logged
LuckyBag Posted on 13/06/2017 12:01
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Are you joking Rino?

You believe the only source of goodness and legality stems from the government and security services? That their authority can only be accepted, and to challenge their acts might be a bit silly?

You are winding us up.
IP: Logged
woodeyefox Posted on 13/06/2017 12:11
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Good Friday agreement Dead in the Water.
Bomb and bullet return to NI.
DUP/UK Gov: Blame Sinn Fein /IRA. British Public Lap it up.
Scary times ahead?
IP: Logged
Hezzy Posted on 13/06/2017 13:03
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
If an elected government undertakes secret talks aimed at bringing about a peaceful settlement, surely that's good?
If an elected member of parliament decides to undertake secret talks to achieve the same aim, that would also be good (provided he has clearance from the security services and doesn't compromise any other activities that he/she may not be aware of)
However, if said member of parliament chooses to stand on a platform with his/her arms around known terrorists and voice their support of their armed "struggle", i have a problem with that.
For me, and i may have "lapped up" misleading information from the media, i have a big problem with Corbyn and Abbot and their anti-British statements in support of the IRA - and other terrorist organisations.
IP: Logged
Oadlad Posted on 13/06/2017 13:18
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Your first and main problem is your use of the term 'terrorist'.
This is a catch all description framed by the Americans in Bush's years.
It conveniently (in their eyes) lumps all sorts of armed, progressive and liberation movements together all over the world under a 'bad/evil' label. Particularly those groups who have no conventional arms available.
From their point of view, for example, drone inflicted, indiscriminate killing is no better than their methods so it is unwise to rush to some sort of moral high ground.
Corbyn has, like other MPs all the time, the right and duty to visit and improve understanding with all and sundry regardless of personal views.
IP: Logged
Hezzy Posted on 13/06/2017 13:39
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Agreed, One persons terrorist..etc.
It is Corbyn and Abbot's personal views that i have a problem with.
IP: Logged
LuckyBag Posted on 13/06/2017 15:17
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Anti-British. Not trying to argue, but I am interested to know what you mean.
I know that some people will be anti something no matter how unbalanced it can get.
IP: Logged
Oadlad Posted on 13/06/2017 15:20
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
I have personally supported actively and otherwise many groups who today would be classified as 'terrorist'. Castro's rebels, the Viet Cong, Sandinistas, Mandela, PLO and so on.
And few on here would not back the French resistance, described by the Nazis as terrorists.
I don't know the views of those two you mentioned but can guess they are not a mile from mine.
But the I do not claim to represent a geographical constituency.
IP: Logged
Unicum Posted on 13/06/2017 15:59
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Kinnel. Oadlad is the socialist version of Rambo.
IP: Logged
Adumass Posted on 13/06/2017 16:07
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
[:D]
IP: Logged
greenlanefox Posted on 13/06/2017 17:43
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Dick , F O A D
IP: Logged
henry56 Posted on 13/06/2017 18:08
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Bottom line is Tories risking peace in NI to hang on for a few weeks . Hopefully lose them another 10 m votes and sink Brexit for good.
IP: Logged
Hezzy Posted on 13/06/2017 18:25
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Wasn't it 80+% in favour when voted in parliament?
Will need U-turns from members of all sides to go back on that now wouldn't it?
IP: Logged
Mustapha_Teabreak Posted on 13/06/2017 19:24
Are Unionist terrorists more acceptable than others?
Edited On: 13/06/2017 19:33
Report Message | Email Message To A Friend | Reply To Message 

 
the good friday agreement exists because the British government agreed to be a neutral party.

forget the past of this and that, if the Tories do a deal with the DUP, they can't possibly be seen as neutral anymore. Whatever they say there will be a cloud of suspicion.

That is the problem, not who met who when, and who believes in creationism etc.
IP: Logged
Foxtrotter Posted on 13/06/2017 23:41
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
rhino - if my post needed explaining maybe you shouldn't be posting on political issues

Dick - I couldn't be XXXXXXd to educate them but thanks anyway
IP: Logged
richardvanles Posted on 14/06/2017 00:05
Are Unionist terrorists more acceptable than others?
Edited On: 14/06/2017 01:26
Report Message | Email Message To A Friend | Reply To Message 

 
Rino, it's a good job you and droopy have never been part of any peace negotiations, you'd confuse the life out of everyone before it had started.
Corbyn understood the politics in N.I. And understood the point of view of the I.R.A. But he was totally against how they expressed that view as any right thinking man or woman would and tried to succeeded in paving the way to a formal peace agreement.
While I agree some things are best left on the past, although it seems to me it should only be on your terms what should be left in the past. One of the MP's has stated that if the north is given back to the south he will take up arms on the streets. That's not in the past, that's the potential future. What's your view on that?
IP: Logged
LeicesterRino Posted on 15/06/2017 20:47
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Foxtrotter, thanks for the advice but if it's all the same to you I'll make my own mind up.
Dicky old chum, thanks for your insight into the workings of Mr Corbyns mind it was truly fascinating.
The title of this thread infers to me that the DUP are a terrorist organisation and the Tories are wrong to negotiate with them.
I don't recall the DUP being called a terrorist organisation on this site ever before or by anyone whilst they have been sharing power in NI
The suggestion that the Tories are wrong has merit but it also means that it is fair to point out that the Leader of the opposition has also held talks with a terrorist organisation.
At the time of the meeting Mr Corbyn was a back bench MP, he was not authorised by the government to hold talks and therefore could not negotiate on behalf of the UK. A fact that presumably wasn't lost on the IRA.
With that in mind it is stretching things to suggest that Mr Corbyn made any contributions to the peace process.
His actions were of sufficient concern for MI5 to instigate an investigation into his visit.
He has of course said that the meeting was conducted with the best of intentions which we must accept. However it's still my opinion that it shows a lack of judgement
Hakkers provided links showing that two senior members of the government had meetings with the IRA, whether this was worthwhile is open for debate but they clearly did have authorisation to negotiate on behalf of the UK. The fact that it was kept secret is hardly surprising bearing in my that feelings were running so high in the Provence.
I said that the past must remain in the past, I did not say that the past should be forgotten I also didn't say that one set of circumstances had more merit than the other.
I was invited to comment on the word attributed to a DUP politician, these are clearly unacceptable but in the context of the hatred in NI not all that surprising. Equally unsurprising is the fact that we see a politician playing to the gallery and saying what his supporters want to hear.
I'm happy to accept that there are more learned posters on here than myself but I do reserve the right to express my opinion when I see fit.
IP: Logged
Timbucktoo Posted on 15/06/2017 21:46
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Talking to terrorists in an effort to get then to stop doing what they are doing is one thing. Standing with his head bowed in a minutes silence for those self same terrorists who were caught in the act of attempted murder and in turn dispatched by their own methods is quite another . Come on down Jeremy Corbyn. How on earth can anyone no matter what their political leanings defend this cowardly traitor ?
IP: Logged
LeicesterRino Posted on 15/06/2017 22:05
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
I don't read newspapers so I have to be honest and say that I don't know what the truth or alleged truth is.
IP: Logged
Mustapha_Teabreak Posted on 16/06/2017 00:27
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
tim, what about tm and the donald selling arms to audi arabia, known and proven suppliers and funders of islamic terror???
how traitorous are they?
IP: Logged
Drew-Peacock Posted on 16/06/2017 09:21
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
You do realise that selling arms to Saudi has been going on for a long time and both Labour and Conservative don't you.
IP: Logged
Oadlad Posted on 16/06/2017 10:43
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Diplomacy will always prevail unless one side has realistic ambitions of realising their aims.
It was clear for some time, particularly after the Canary Wharf bomb, that neither side could achieve any sort of victory by arms in NI.
JC was/is experienced enough to know this and his contact with IRA prisoners during the stalled peace talks helped them back on track and hastened an end to armed conflict.
Sympathy was not a factor.
IP: Logged
Drew-Peacock Posted on 16/06/2017 11:07
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
What a pity no other politician had his foresight
IP: Logged
Oadlad Posted on 16/06/2017 12:25
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Is your brain wired up wrong? Every, repeat, every thinking politico had accepted it.
In other words, JC was part of mainstream thinking and therefore his activity is not worth singling out as abnormal. [rle]
IP: Logged
Drew-Peacock Posted on 16/06/2017 12:55
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Accepted what?. Corbyn went and met the IRA - no one disputes that, he did it of his volition, no one disputes that. He had no authority to negotiate on behalf of the UK, no one disputes that. He was investigated by MI5 no one disputes that.
To say his contribution to the peace process was anything other than irrelevant is living in fantasy land.
If Corbyn was part of mainstream thinking how come there wasn't a queue of well meaning politicians knocking on the door of IRA HQ?
Within the context of this thread it is only reasonable to point out that Corbyn met a terrorist organisation.
I have not suggested that his intentions were anything other than honourable, just a bit daft.
IP: Logged
Oadlad Posted on 16/06/2017 14:15
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Accepted that the only way out of the impasse was talking. If you think that MPs talk to anti government armed groups (not 'terrorists' as I have explained) then you are naive about how governments operate.
There's no doubt that JC was/is in favour of Irish reunification, although opposed to an armed response, but that is probably what made it possible for him to be accepted by the nationalist elements.
I realise that this has wandered off the original question but to adopt a position on a crucial issue is not 'daft' particularly as those views were adopted in the end by most people.
As is often the case, some people just realise the obvious before those wedded to a violent response as the sole way ahead.
IP: Logged
Drew-Peacock Posted on 16/06/2017 15:08
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Do you mean that the IRA are not terrorists?
JC wasn't in the government so how it operates is isn't the point.
JC was meeting with an illegal organisation without the sanction of government - I still think that was daft, I doubt JC ever expected to be in a position where this would be important though.
IP: Logged
Mustapha_Teabreak Posted on 16/06/2017 17:26
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
yes drew, that is my entire point, that both sides do it and have done it for years and to pick on just JC is stupid.
IP: Logged
LeicesterRino Posted on 16/06/2017 18:27
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
When you say both sides, what do you mean?
IP: Logged
pen3boy Posted on 16/06/2017 22:12
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
Back to the original question ... a rather strange choice of words. "Unionist terrorist" ?

We had "Republican paramilitaries" and "Loyalist paramilitaries". Call them both terrorists if you like. There is a sort of moral equivalence in the way they murdered innocent people.

The phrase "Unionist terrorist" doesn't make any sense. Any more than the phrase "Nationalist terrorist".

If you want to apply a bit of moral equivalence and balance it up a bit, you'd have something like:

Republican paramilitiaries: Provisional IRA and INLA.

Political wings of republican paramilitaries: Sinn Fein and Irish Republican Socialist Party.

Loyalist paramilitaries: UDA, UVF, RHC, LVF.

Poliical wings of Loyalist paramilitaries: Progressive Unionist Party and Ulster Democratic Party, for example.

The Democratic Unionist Party (DUP) has never been the political wing of any proscribed loyalist paramilitary group.

The phrase "Unionist terrorist" is a deliberately misleading and nonsensical term ... as of course, it was intended to be.
IP: Logged
Mustapha_Teabreak Posted on 16/06/2017 23:20
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
"The Democratic Unionist Party (DUP) has never been the political wing of any proscribed loyalist paramilitary group."

incorrect. it founded two paramilitaries in "third force" and "ulster resistance" the latter of which counted peter robinson as it's founders/backers.
IP: Logged
billsballbag Posted on 16/06/2017 23:28
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 
I'm with Lucky Bag
IP: Logged
hackneyfox Posted on 16/06/2017 23:49
Are Unionist terrorists more acceptable than others?

Report Message | Email Message To A Friend | Reply To Message 

 

'The Democratic Unionist Party (DUP) has never been the political wing of any proscribed loyalist paramilitary group.'

As Hilda Ogden would say 'Muriel disagrees.'



Link: link
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2017 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103